<?php


function mega_charity_pro_style( $args = array() ) {
	$options = mega_charity_pro_get_theme_options();
	?>
	<style type="text/css">

		.trail-item a, .trail-item span{
			font-size: 22px;
		}

		<?php if ( $options['single_post_hide_banner'] == true ): ?>
		.page header#masthead,
		.single header#masthead {
			top: 0px !important;

		}
		.page .header-wrapper,
		.single .header-wrapper{
			background-color: #eee;
			padding: 30px;
			margin-top: 100px; 
		}
	<?php endif ?>

	<?php if ( $options['hide_banner'] == true ): ?>
	.archive header#masthead {
		top: 0px !important;

	}
	.archive .header-wrapper{
		background-color: #eee;
		padding: 30px;
		margin-top: 100px; 
	}
<?php endif ?>


<?php if ( !empty($options['theme_head_typography']) ): ?>
	h1, h2, h3, h4, h5, h6 {

		font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_head_typography'])) ?>', sans-serif;
	}
<?php endif ?>
<?php if ( !empty($options['theme_body_typography']) ): ?>
	body {

		font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_body_typography'])) ?>', sans-serif;
	}
<?php endif ?>
<?php if ( !empty($options['theme_site_title_typography']) ): ?>
	.site-title a {

		font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_site_title_typography'])) ?>', sans-serif;
	}
<?php endif ?>
<?php if ( !empty($options['theme_site_description_typography']) ): ?>
	.site-description {

		font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_site_description_typography'])) ?>', sans-serif;
	}
<?php endif ?>
<?php if ( !empty($options['theme_menu_typography']) ): ?>
	.menu-item a {

		font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_menu_typography'])) ?>', sans-serif;
	}
<?php endif ?>
<?php if ( !empty($options['theme_btn_label_typography']) ): ?>
	.btn,
	.more-link a
	{

		font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_btn_label_typography'])) ?>', sans-serif;
	}
<?php endif ?>

/*about us section*/
<?php if( empty( $options['about_image_1'] ) || empty( $options['about_image_2'] ) ): ?>

	#about-us .featured-wrapper {
		float: left;
		width: 100%;
	}

<?php endif; ?>

/*======================Color Option Css================================*/

/*=============hero banner======================*/

<?php if( !empty( $options['style_hero_banner_title_color'] ) ): ?>
	#hero-banner h2.entry-title{
		color: <?php echo esc_attr( $options['style_hero_banner_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_hero_banner_description_color'] ) ): ?>
	#hero-banner .entry-content p{
		color: <?php echo esc_attr( $options['style_hero_banner_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_hero_banner_btn_text_color'] ) ): ?>
	#hero-banner .read-more a,
	#hero-banner .btn:first-child{
		color: <?php echo esc_attr( $options['style_hero_banner_btn_text_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_hero_banner_btn_bg_color'] ) ): ?>
	#hero-banner .btn:first-child{
		background-color: <?php echo esc_attr( $options['style_hero_banner_btn_bg_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['style_hero_banner_btn_bg_color'] ) ; ?>;
	}
	#hero-banner .btn:first-child:hover{
		background-color: #82cf8f;
		border-color: #82cf8f;
	}
<?php endif; ?>

<?php if( !empty( $options['style_hero_banner_btn_hover_color'] ) ): ?>
	#hero-banner .btn:first-child:hover{
		background-color: <?php echo esc_attr( $options['style_hero_banner_btn_hover_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['style_hero_banner_btn_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_hero_banner_alt_btn_bg_color'] ) ): ?>
	#hero-banner .btn{
		background-color: <?php echo esc_attr( $options['style_hero_banner_alt_btn_bg_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['style_hero_banner_alt_btn_bg_color'] ) ; ?>;
	}
	#hero-banner .btn:hover{
		background-color: #f7a94f;
		border-color: #f7a94f;
	}
<?php endif; ?>


<?php if( !empty( $options['style_hero_banner_alt_btn_hover_color'] ) ): ?>
	#hero-banner .btn:hover{
		background-color: <?php echo esc_attr( $options['style_hero_banner_alt_btn_hover_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['style_hero_banner_alt_btn_hover_color'] ) ; ?>;
	}
<?php endif; ?>

/*===============================Service==========================*/

	<?php if( in_array($options['home_layout'], array('default-design-all', 'default-design', 'sixth-design', 'tenth-design', 'ninth-design') ) ){ ?>

<?php if( !empty( $options['style_service_section_bg_color'] ) ): ?>
	#our-services{
		background: <?php echo esc_attr( $options['style_service_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_service_section_title_color'] ) ): ?>
	#our-services h2.section-title{
		color: <?php echo esc_attr( $options['style_service_section_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_service_btn_text_color'] ) ): ?>
	#our-services a.btn{
		color: <?php echo esc_attr( $options['style_service_btn_text_color'] ) ; ?>;
	}	#our-services a.btn:hover{
		color: #000000;
	}
<?php endif; ?>

<?php if( !empty( $options['style_service_btn_text_hover_color'] ) ): ?>
	#our-services a.btn:hover{
		color: <?php echo esc_attr( $options['style_service_btn_text_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_service_btn_border_color'] ) ): ?>
	#our-services a.btn{
		border-color: <?php echo esc_attr( $options['style_service_btn_border_color'] ) ; ?>;
	}
	#our-services a.btn:hover{
		background-color: <?php echo esc_attr( $options['style_service_btn_border_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_service_icon_color'] ) ): ?>
	#our-services .service-item-wrapper .fa{
		color: <?php echo esc_attr( $options['style_service_icon_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_service_title_color'] ) ): ?>
	#our-services .entry-title a,
	.sixth-design #our-services .entry-title a{
		color: <?php echo esc_attr( $options['style_service_title_color'] ) ; ?>;
	}
	#our-services .entry-title a:hover{
		color: #f7a94f;
	}
<?php endif; ?>

<?php if( !empty( $options['style_service_title_hover_color'] ) ): ?>
	#our-services .entry-title a:hover{
		color: <?php echo esc_attr( $options['style_service_title_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_service_description_color'] ) ): ?>
	#our-services .entry-content p,
	.sixth-design #our-services span{
		color: <?php echo esc_attr( $options['style_service_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php }else{ ?>

	<?php if( !empty( $options['style_service_section_bg_color'] ) ): ?>
	#business-services-section{
		background: <?php echo esc_attr( $options['style_service_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_service_icon_color'] ) ): ?>
	#business-services-section .fa{
		color: <?php echo esc_attr( $options['style_service_icon_color'] ) ; ?>;
	}
	#business-services-section .fa:hover{
		color: #007aff;
	}
<?php endif; ?>

<?php if( !empty( $options['style_service_title_color'] ) ): ?>
	#business-services-section .entry-title a{
		color: <?php echo esc_attr( $options['style_service_title_color'] ) ; ?>;
	}
	#business-services-section .entry-title a:hover{
		color: #007aff;
	}
<?php endif; ?>

<?php if( !empty( $options['style_service_title_hover_color'] ) ): ?>
	#business-services-section .entry-title a:hover,
	#business-services-section .fa:hover{
		color: <?php echo esc_attr( $options['style_service_title_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_service_description_color'] ) ): ?>
	#business-services-section .entry-content p{
		color: <?php echo esc_attr( $options['style_service_description_color'] ) ; ?>;
	}
<?php endif; ?>

	<?php } ?>

/*===================cta==============*/
<?php if( !empty( $options['style_cta_section_bg_color'] ) ): ?>
	#cta{
		background: <?php echo esc_attr( $options['style_cta_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_cta_section_subtitle_color'] ) ): ?>
	#cta .cta-wrapper .section-subtitle{
		color: <?php echo esc_attr( $options['style_cta_section_subtitle_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_cta_section_title_color'] ) ): ?>
	#cta h2.section-title{
		color: <?php echo esc_attr( $options['style_cta_section_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_cta_section_description_color'] ) ): ?>
	#cta .entry-content p{
		color: <?php echo esc_attr( $options['style_cta_section_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_cta_btn_color'] ) ): ?>
	#cta .cta-wrapper .btn:first-child{
		border-color: <?php echo esc_attr( $options['style_cta_btn_color'] ) ; ?>;
		background: <?php echo esc_attr( $options['style_cta_btn_color'] ) ; ?>;
	}
	#cta .cta-wrapper .btn:first-child:hover{
		background: transparent;
	}
<?php endif; ?>

<?php if( !empty( $options['style_cta_alt_btn_color'] ) ): ?>
	#cta .cta-wrapper .btn{
		border-color: <?php echo esc_attr( $options['style_cta_alt_btn_color'] ) ; ?>;
		background: transparent;
	}
	#cta .cta-wrapper .btn:hover{
		background: <?php echo esc_attr( $options['style_cta_alt_btn_color'] ) ; ?>;
	}
<?php endif; ?>

/*===================About Us==============*/

<?php if( $options['home_layout'] == 'default-design' ){ ?>

<?php if( !empty( $options['style_about_section_bg_color'] ) ): ?>
	#about-us{
		background: <?php echo esc_attr( $options['style_about_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_about_section_title_color'] ) ): ?>
	#about-us .section-title{
		color: <?php echo esc_attr( $options['style_about_section_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_about_section_description_color'] ) ): ?>
	#about-us .entry-content{
		color: <?php echo esc_attr( $options['style_about_section_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_about_btn_color'] ) ): ?>
	#about-us .btn{
		border-color: <?php echo esc_attr( $options['style_about_btn_color'] ) ; ?>;
		background: transparent;
	}
	#about-us .btn:hover{
		background: <?php echo esc_attr( $options['style_about_btn_color'] ) ; ?>;
	}
<?php endif; ?>

<?php } ?>
<?php if( in_array($options['home_layout'], array('fifth-design', 'eight-design', 'tenth-design') ) ) { ?>

<?php if( !empty( $options['style_about_section_bg_color'] ) ): ?>
	#business-about-us{
		background: <?php echo esc_attr( $options['style_about_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_about_section_title_color'] ) ): ?>
	#business-about-us .entry-title a{
		color: <?php echo esc_attr( $options['style_about_section_title_color'] ) ; ?>;
	}
	#business-about-us .entry-title a:hover{
		color: #4782D3;
	}
<?php endif; ?>

<?php if( !empty( $options['style_about_section_description_color'] ) ): ?>
	#business-about-us .entry-content{
		color: <?php echo esc_attr( $options['style_about_section_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_about_btn_color'] ) ): ?>
	#business-about-us .read-more a,
	#business-about-us .entry-title:after{
		border-color: <?php echo esc_attr( $options['style_about_btn_color'] ) ; ?>;
		background: <?php echo esc_attr( $options['style_about_btn_color'] ) ; ?>;
	}
	#business-about-us .read-more a:hover{
		background: #1e2939;
		border-color: #1e2939;
	}
<?php endif; ?>

<?php } ?>

<?php if( $options['home_layout'] == 'seventh-design' ){ ?>

	<?php if( !empty( $options['style_about_section_bg_color'] ) ): ?>
	#medical-about-us{
		background: <?php echo esc_attr( $options['style_about_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_about_section_title_color'] ) ): ?>
	#medical-about-us .entry-title a{
		color: <?php echo esc_attr( $options['style_about_section_title_color'] ) ; ?>;
	}
	#medical-about-us .entry-title a:hover{
		color: #4782D3;
	}
<?php endif; ?>

<?php if( !empty( $options['style_about_section_description_color'] ) ): ?>
	#medical-about-us .entry-content{
		color: <?php echo esc_attr( $options['style_about_section_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_about_btn_color'] ) ): ?>
	#medical-about-us .btn,
	#medical-about-us .entry-title:after{
		border-color: <?php echo esc_attr( $options['style_about_btn_color'] ) ; ?>;
		background: <?php echo esc_attr( $options['style_about_btn_color'] ) ; ?>;
	}
	#medical-about-us .btn:hover{
		background: #82cf8f;
		border-color: #82cf8f;
	}
<?php endif; ?>

	<?php } ?>

/*===================Counter==============*/

<?php if( $options['home_layout'] == 'default-design-all' || $options['home_layout'] == 'default-design' || $options['home_layout'] == 'eight-design' || $options['home_layout'] == 'ninth-design' ){ ?>

<?php if( !empty( $options['style_counter_section_bg_color'] ) ): ?>
	#counter{
		background: <?php echo esc_attr( $options['style_counter_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_counter_description_color'] ) ): ?>
	#counter .entry-content{
		color: <?php echo esc_attr( $options['style_counter_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php }else{ ?>

	<?php if( !empty( $options['style_counter_section_bg_color'] ) ): ?>
	#business-counter .overlay{
		background: <?php echo esc_attr( $options['style_counter_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_counter_description_color'] ) ): ?>
	#business-counter .entry-title{
		color: <?php echo esc_attr( $options['style_counter_description_color'] ) ; ?>;
	}
<?php endif; ?>

	<?php } ?>

/*===================Help Us==============*/

<?php if( !empty( $options['style_help_us_section_bg_color'] ) ): ?>
	#help-us{
		background: <?php echo esc_attr( $options['style_help_us_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_help_us_section_sub_title_color'] ) ): ?>
	#help-us .section-subtitle,
	#help-us .cat-links a{
		color: <?php echo esc_attr( $options['style_help_us_section_sub_title_color'] ) ; ?>;
	}
	#help-us .cat-links a:hover{
		color: #1e2939;
	}
<?php endif; ?>

<?php if( !empty( $options['style_help_us_section_category_hover_color'] ) ): ?>
	#help-us .cat-links a:hover{
		color: <?php echo esc_attr( $options['style_help_us_section_category_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_help_us_section_title_color'] ) ): ?>
	#help-us .section-title{
		color: <?php echo esc_attr( $options['style_help_us_section_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_help_us_title_color'] ) ): ?>
	#help-us .help-wrapper .entry-title a{
		color: <?php echo esc_attr( $options['style_help_us_title_color'] ) ; ?>;
	}
	#help-us .help-wrapper .entry-title a:hover{
		color: #f7a94f;
	}
<?php endif; ?>

<?php if( !empty( $options['style_help_us_title_hover_color'] ) ): ?>
	#help-us .help-wrapper .entry-title a:hover{
		color: <?php echo esc_attr( $options['style_help_us_title_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_help_us_description_color'] ) ): ?>
	#help-us .entry-content p{
		color: <?php echo esc_attr( $options['style_help_us_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_help_us_btn_text_color'] ) ): ?>
	#help-us .help-wrapper .featured-image .btn{
		color: <?php echo esc_attr( $options['style_help_us_btn_text_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['style_help_us_btn_text_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_help_us_btn_hover_color'] ) ): ?>
	#help-us .btn:hover{
		background-color: <?php echo esc_attr( $options['style_help_us_btn_hover_color'] ) ; ?>;
	}
<?php endif; ?>

/*======================Pricing============================*/
<?php if( !empty( $options['style_pricing_section_bg_color'] ) ): ?>
	#pricing{
		background: <?php echo esc_attr( $options['style_pricing_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_pricing_section_title_color'] ) ): ?>
	#pricing .section-title{
		color: <?php echo esc_attr( $options['style_pricing_section_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_pricing_section_description_color'] ) ): ?>
	#pricing .entry-content p{
		color: <?php echo esc_attr( $options['style_pricing_section_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_pricing_btn_color'] ) ): ?>
	#pricing article .entry-container .btn {
		border-color: <?php echo esc_attr( $options['style_pricing_btn_color'] ) ; ?>;
		color: <?php echo esc_attr( $options['style_pricing_btn_color'] ) ; ?>;
	}	
	#pricing .btn:hover {
		background-color: #82cf8f;
	}
<?php endif; ?>

<?php if( !empty( $options['style_pricing_btn_hover_color'] ) ): ?>
	#pricing .btn:hover {
		background-color: <?php echo esc_attr( $options['style_pricing_btn_hover_color'] ) ; ?>;
	}
<?php endif; ?>

/*======================Gallery============================*/
<?php if( !empty( $options['style_gallery_section_bg_color'] ) ): ?>
	#our-gallery{
		background: <?php echo esc_attr( $options['style_gallery_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_gallery_sub_section_title_color'] ) ): ?>
	#our-gallery .section-subtitle{
		color: <?php echo esc_attr( $options['style_gallery_sub_section_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_gallery_section_title_color'] ) ): ?>
	#our-gallery h2.section-title{
		color: <?php echo esc_attr( $options['style_gallery_section_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_gallery_btn_color'] ) ): ?>
	#our-gallery .btn{
		border-color: <?php echo esc_attr( $options['style_gallery_btn_color'] ) ; ?>;
		background: transparent;
	}
	#our-gallery .btn:hover{
		background: <?php echo esc_attr( $options['style_gallery_btn_color'] ) ; ?>;
	}
<?php endif; ?>

/*======================Stories============================*/
<?php if( !empty( $options['style_stories_section_bg_color'] ) ): ?>
	#stories{
		background: <?php echo esc_attr( $options['style_stories_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_stories_section_title_color'] ) ): ?>
	#stories .section-title{
		color: <?php echo esc_attr( $options['style_stories_section_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_stories_post_title_color'] ) ): ?>
	#stories .help-wrapper .entry-title a{
		color: <?php echo esc_attr( $options['style_stories_post_title_color'] ) ; ?>;
	}
	#stories .help-wrapper .entry-title a:hover{
		color: #f7a94f;
	}
<?php endif; ?>


<?php if( !empty( $options['style_stories_post_title_hover_color'] ) ): ?>
	#stories .help-wrapper .entry-title a:hover{
		color: <?php echo esc_attr( $options['style_stories_post_title_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_stories_age_color'] ) ): ?>
	#stories ul.post-categories li{
		color: <?php echo esc_attr( $options['style_stories_age_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_stories_post_description_color'] ) ): ?>
	#stories .entry-content p{
		color: <?php echo esc_attr( $options['style_stories_post_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_stories_btn_color'] ) ): ?>
	#stories .help-wrapper .featured-image .btn{
		color: <?php echo esc_attr( $options['style_stories_btn_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['style_stories_btn_color'] ) ; ?>;
	}
	#stories .help-wrapper .featured-image .btn:hover{
		background-color: #82cf8f;
	}
<?php endif; ?>

<?php if( !empty( $options['style_stories_btn_hover_color'] ) ): ?>
	#stories .help-wrapper .featured-image .btn:hover{
		background-color: <?php echo esc_attr( $options['style_stories_btn_hover_color'] ) ; ?>;
	}
<?php endif; ?>

/*======================Testimonial============================*/
<?php if( !empty( $options['style_testimonial_section_bg_color'] ) ): ?>
	#testimonial{
		background: <?php echo esc_attr( $options['style_testimonial_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_testimonial_title_color'] ) ): ?>
	div#testimonial .section-title {
		color: <?php echo esc_attr( $options['style_testimonial_title_color'] ) ; ?>;
	}
	div#testimonial ul.slick-dots li.slick-active button {
    background-color: <?php echo esc_attr( $options['style_testimonial_title_color'] ) ; ?>;
    border: <?php echo esc_attr( $options['style_testimonial_title_color'] ) ; ?>;
}
div#testimonial ul.slick-dots li button {
    border: 2px solid<?php echo esc_attr( $options['style_testimonial_title_color'] ) ; ?>;
}
div#testimonial .seperator {
    background-color: <?php echo esc_attr( $options['style_testimonial_title_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['style_testimonial_description_color'] ) ): ?>
	#testimonial .testimonial-slider .entry-container .entry-content,
	#testimonial .testimonial-slider .entry-container{
		color: <?php echo esc_attr( $options['style_testimonial_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_testimonial_author_color'] ) ): ?>
	#testimonial .testimonial-slider .entry-title a{
		color: <?php echo esc_attr( $options['style_testimonial_author_color'] ) ; ?>;
	}
	#testimonial .testimonial-slider .entry-title a:hover{
		color: #f7a94f;
	}
<?php endif; ?>

<?php if( !empty( $options['style_testimonial_author_hover_color'] ) ): ?>
	#testimonial .testimonial-slider .entry-title a:hover{
		color: <?php echo esc_attr( $options['style_testimonial_author_hover_color'] ) ; ?>;
	}
<?php endif; ?>

/*======================Team============================*/
<?php if( !empty( $options['style_team_section_bg_color'] ) ): ?>
	#business-team{
		background: <?php echo esc_attr( $options['style_team_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_team_section_title_color'] ) ): ?>
	#business-team h2.section-title{
		color: <?php echo esc_attr( $options['style_team_section_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_team_title_color'] ) ): ?>
	#business-team .entry-title a{
		color: <?php echo esc_attr( $options['style_team_title_color'] ) ; ?>;
	}
	#business-team .entry-title a:hover{
		color: #4782D3;
	}
<?php endif; ?>

<?php if( !empty( $options['style_team_title_hover_color'] ) ): ?>
	#business-team .entry-title a:hover{
		color: <?php echo esc_attr( $options['style_team_title_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_team_position_color'] ) ): ?>
	#business-team .entry-content p{
		color: <?php echo esc_attr( $options['style_team_position_color'] ) ; ?>;
	}
<?php endif; ?>

/*======================Latest Posts============================*/
<?php if( !empty( $options['style_latest_posts_section_bg_color'] ) ): ?>
	#latest{
		background: <?php echo esc_attr( $options['style_latest_posts_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_latest_posts_section_title_color'] ) ): ?>
	#latest h2.section-title{
		color: <?php echo esc_attr( $options['style_latest_posts_section_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_latest_posts_title_color'] ) ): ?>
	#latest .archive-blog-wrapper .entry-title a,
	#latest .byline,
	#latest .byline a{
		color: <?php echo esc_attr( $options['style_latest_posts_title_color'] ) ; ?>;
	}
	#latest .archive-blog-wrapper .entry-title a:hover,
	#latest .byline:hover,
	#latest .byline a:hover{
		color: #f7a94f;
	}
<?php endif; ?>

<?php if( !empty( $options['style_latest_posts_section_description_color'] ) ): ?>
	#latest .entry-content p{
		color: <?php echo esc_attr( $options['style_latest_posts_section_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_latest_posts_title_hover_color'] ) ): ?>
	#latest .archive-blog-wrapper .entry-title a:hover,
	#latest .byline:hover,
	#latest .byline a:hover{
		color: <?php echo esc_attr( $options['style_latest_posts_title_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_latest_posts_date_color'] ) ): ?>
	#latest span.posted-on a{
		color: <?php echo esc_attr( $options['style_latest_posts_date_color'] ) ; ?>;
	}
	#latest span.posted-on a:hover{
		color: #f7a94f;
	}
<?php endif; ?>

<?php if( !empty( $options['style_latest_posts_date_hover_color'] ) ): ?>
	#latest span.posted-on a:hover{
		color: <?php echo esc_attr( $options['style_latest_posts_date_hover_color'] ) ; ?>;
	}
<?php endif; ?>

/*======================Slider============================*/
<?php if( !empty( $options['style_slider_section_title_color'] ) ): ?>
	#featured-slider .entry-title a{
		color: <?php echo esc_attr( $options['style_slider_section_title_color'] ) ; ?>;
	}
	#featured-slider .entry-title a:hover{
		color: #f7a94f;
	}
<?php endif; ?>

<?php if( !empty( $options['style_slider_section_title_hover_color'] ) ): ?>
	#featured-slider .entry-title a:hover{
		color: <?php echo esc_attr( $options['style_slider_section_title_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_slider_section_excerpt_color'] ) ): ?>
	#featured-slider .entry-content p{
		color: <?php echo esc_attr( $options['style_slider_section_excerpt_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_slider_section_button_color'] ) ): ?>
	#featured-slider .read-more a{
		background-color: <?php echo esc_attr( $options['style_slider_section_button_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['style_slider_section_button_color'] ) ; ?>;
	}
	#featured-slider .read-more a:hover{
		background-color: #000;
		border-color: #000;
	}
<?php endif; ?>

<?php if( !empty( $options['style_slider_section_button_hover_color'] ) ): ?>
	#featured-slider .read-more a:hover{
		background-color: <?php echo esc_attr( $options['style_slider_section_button_hover_color'] ) ; ?>;
		border-color: <?php echo esc_attr( $options['style_slider_section_button_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_slider_section_btn_title_color'] ) ): ?>
	#featured-slider .read-more a{
		color: <?php echo esc_attr( $options['style_slider_section_btn_title_color'] ) ; ?>;
	}
<?php endif; ?>

/*======================Slider============================*/
<?php if( !empty( $options['style_blog_section_bg_color'] ) ): ?>
	#latest-posts{
		background: <?php echo esc_attr( $options['style_blog_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_blog_section_title_color'] ) ): ?>
	#latest-posts h2.section-title{
		color: <?php echo esc_attr( $options['style_blog_section_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_blog_section_description_color'] ) ): ?>
	#latest-posts p.subtitle,
	#latest-posts .entry-content{
		color: <?php echo esc_attr( $options['style_blog_section_description_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_blog_title_color'] ) ): ?>
	#latest-posts .archive-blog-wrapper .entry-title a,
	#latest-posts .byline,
	#latest-posts .byline a{
		color: <?php echo esc_attr( $options['style_blog_title_color'] ) ; ?>;
	}
	#latest-posts .archive-blog-wrapper .entry-title a:hover,
	#latest-posts .byline:hover,
	#latest-posts .byline a:hover{
		color: #f7a94f;
	}
<?php endif; ?>

<?php if( !empty( $options['style_blog_title_hover_color'] ) ): ?>
	#latest-posts .archive-blog-wrapper .entry-title a:hover,
	#latest-posts .byline:hover,
	#latest-posts .byline a:hover{
		color: <?php echo esc_attr( $options['style_blog_title_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_blog_date_color'] ) ): ?>
	#latest-posts span.posted-on a{
		color: <?php echo esc_attr( $options['style_blog_date_color'] ) ; ?>;
	}
	#latest-posts span.posted-on a:hover{
		color: #f7a94f;
	}
<?php endif; ?>

<?php if( !empty( $options['style_blog_date_hover_color'] ) ): ?>
	#latest-posts span.posted-on a:hover{
		color: <?php echo esc_attr( $options['style_blog_date_hover_color'] ) ; ?>;
	}
<?php endif; ?>

/*======================Subscription============================*/
<?php if( !empty( $options['style_subscription_section_bg_color'] ) ): ?>
	#business-subscribe-us .overlay{
		background-color: <?php echo esc_attr( $options['style_subscription_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_subscription_section_subtitle_color'] ) ): ?>
	#business-subscribe-us .subtitle,
	#business-subscribe-us #subscribe-text p{
		background-color: <?php echo esc_attr( $options['style_subscription_section_subtitle_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_subscription_section_title_color'] ) ): ?>
	#business-subscribe-us .widget-title,
	#business-subscribe-us button[type="submit"]{
		color: <?php echo esc_attr( $options['style_subscription_section_title_color'] ) ; ?>;
	}
	#business-subscribe-us .widget-title:after{
		background: <?php echo esc_attr( $options['style_subscription_section_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_subscription_section_btn_bg_color'] ) ): ?>
	#business-subscribe-us button[type="submit"]{
		background-color: <?php echo esc_attr( $options['style_subscription_section_btn_bg_color'] ) ; ?>;
	}
	#business-subscribe-us button[type="submit"]:hover{
		background-color: #1273eb;
	}
<?php endif; ?>

<?php if( !empty( $options['style_subscription_section_btn_hover_color'] ) ): ?>
	#business-subscribe-us button[type="submit"]:hover{
		background-color: <?php echo esc_attr( $options['style_subscription_section_btn_hover_color'] ) ; ?>;
	}
<?php endif; ?>

/*======================Medical Services============================*/
<?php if( !empty( $options['style_medical_service_section_bg_color'] ) ): ?>
	#medical-services{
		background-color: <?php echo esc_attr( $options['style_medical_service_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_medical_service_title_color'] ) ): ?>
	#medical-services .entry-title a{
		color: <?php echo esc_attr( $options['style_medical_service_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_medical_service_title_hover_color'] ) ): ?>
	#medical-services .entry-title a:hover{
		color: <?php echo esc_attr( $options['style_medical_service_title_hover_color'] ) ; ?>;
	}
<?php endif; ?>

/*======================Medical Services============================*/
<?php if( !empty( $options['style_medical_features_section_bg_color'] ) ): ?>
	#medical-features{
		background-color: <?php echo esc_attr( $options['style_medical_features_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_medical_features_section_title_color'] ) ): ?>
	#medical-features .section-title{
		color: <?php echo esc_attr( $options['style_medical_features_section_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_medical_features_post_wrapper_color'] ) ): ?>
	#medical-features .medical-feature-item{
		background: <?php echo esc_attr( $options['style_medical_features_post_wrapper_color'] ) ; ?>;
	}
	#medical-features .medical-feature-item:hover{
		background: #82cf8f;
	}
<?php endif; ?>

<?php if( !empty( $options['style_medical_features_post_wrapper_hover_color'] ) ): ?>
	#medical-features .medical-feature-item:hover{
		background: <?php echo esc_attr( $options['style_medical_features_post_wrapper_hover_color'] ) ; ?>;
	}
<?php endif; ?>

/*======================Medical Reason============================*/
<?php if( !empty( $options['style_reason_section_bg_color'] ) ): ?>
	#medical-reasons {
    background-color: <?php echo esc_attr( $options['style_reason_section_bg_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['style_reason_section_title_color'] ) ): ?>
	#medical-reasons .entry-title a {
		color: <?php echo esc_attr( $options['style_reason_section_title_color'] ) ; ?>;
	}
	#medical-reasons .entry-title a:hover {	
		color: #fff;
		opacity: 0.8;
	}
<?php endif; ?>

<?php if( !empty( $options['style_reason_section_title_hover_color'] ) ): ?>
	#medical-reasons .entry-title a:hover {
		color: <?php echo esc_attr( $options['style_reason_section_title_hover_color'] ) ; ?>;
		opacity: 0.8;
	}
<?php endif; ?>

<?php if( !empty( $options['style_reason_section_description_color'] ) ): ?>
	#medical-reasons .entry-content p,
	#medical-reasons ul{
		color: <?php echo esc_attr( $options['style_reason_section_description_color'] ) ; ?>;
	}
<?php endif; ?>

/*======================Medical Reason============================*/
<?php if( !empty( $options['style_medical_news_section_bg_color'] ) ): ?>
	#medical-news {
    background-color: <?php echo esc_attr( $options['style_medical_news_section_bg_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['style_medical_news_section_title_color'] ) ): ?>
	#medical-news h2.section-title{
    color: <?php echo esc_attr( $options['style_medical_news_section_title_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['style_medical_news_date_wrapper_box_color'] ) ): ?>
	#medical-news .date,
	#medical-news .date:before{
    background: <?php echo esc_attr( $options['style_medical_news_date_wrapper_box_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['style_medical_news_date_color'] ) ): ?>
	#medical-news span.posted-on a{
    color: <?php echo esc_attr( $options['style_medical_news_date_color'] ) ; ?>;
}
	#medical-news span.posted-on a:hover{
    color: #f7a94f;
}
<?php endif; ?>

<?php if( !empty( $options['style_medical_news_date_hover_color'] ) ): ?>
	#medical-news span.posted-on a:hover{
    color: <?php echo esc_attr( $options['style_medical_news_date_hover_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['style_medical_news_title_color'] ) ): ?>
	#medical-news .entry-title a{
    color: <?php echo esc_attr( $options['style_medical_news_title_color'] ) ; ?>;
}
	#medical-news .entry-title a:hover{
    color: #f7a94f;
}
<?php endif; ?>

<?php if( !empty( $options['style_medical_news_title_hover_color'] ) ): ?>
	#medical-news .entry-title a:hover{
    color: <?php echo esc_attr( $options['style_medical_news_title_hover_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['style_medical_news_post_description_color'] ) ): ?>
	#medical-news .entry-content p{
    color: <?php echo esc_attr( $options['style_medical_news_post_description_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['style_medical_news_post_btn_color'] ) ): ?>
	#medical-news .post-read-more a{
    color: <?php echo esc_attr( $options['style_medical_news_post_btn_color'] ) ; ?>;
}
<?php endif; ?>

/*======================Collection============================*/
<?php if( !empty( $options['style_masonry_section_title_color'] ) ): ?>
	#masonry .grid .entry-title a {
    color: <?php echo esc_attr( $options['style_masonry_section_title_color'] ) ; ?>;
}
	#masonry .grid .entry-title a:hover {
    color: #f7a94f;
}
<?php endif; ?>

<?php if( !empty( $options['style_masonry_section_title_hover_color'] ) ): ?>
	#masonry .grid .entry-title a:hover {
    color: <?php echo esc_attr( $options['style_masonry_section_title_hover_color'] ) ; ?>;
}
<?php endif; ?>

/*======================Recent Product============================*/
<?php if( !empty( $options['style_recent_products_bg_color'] ) ): ?>
	#recent-products{
    background-color: <?php echo esc_attr( $options['style_recent_products_bg_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['style_recent_products_section_title_color'] ) ): ?>
	#recent-products h2.shop-section-title{
    color: <?php echo esc_attr( $options['style_recent_products_section_title_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['style_recent_products_section_description_color'] ) ): ?>
	#recent-products p.shop-subtitle{
    color: <?php echo esc_attr( $options['style_recent_products_section_description_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['style_recent_products_product_title_color'] ) ): ?>
	#recent-products h2.woocommerce-loop-product__title{
    color: <?php echo esc_attr( $options['style_recent_products_product_title_color'] ) ; ?>;
}
#recent-products h2.woocommerce-loop-product__title:hover{
    color: #f6b973;
}
<?php endif; ?>

<?php if( !empty( $options['style_recent_products_product_title_hover_color'] ) ): ?>
	#recent-products h2.woocommerce-loop-product__title:hover{
    color: <?php echo esc_attr( $options['style_recent_products_product_title_hover_color'] ) ; ?>;
}
<?php endif; ?>

/*======================Featured Products============================*/
<?php if( !empty( $options['style_featured_products_section_title_color'] ) ): ?>
	#featured-products .entry-title a{
    color: <?php echo esc_attr( $options['style_featured_products_section_title_color'] ) ; ?>;
}
#featured-products .entry-title a:hover{
    color: #ff2d00;
}
<?php endif; ?>

<?php if( !empty( $options['style_featured_products_section_title_hover_color'] ) ): ?>
	#featured-products .entry-title a:hover{
    color: <?php echo esc_attr( $options['style_featured_products_section_title_hover_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['style_featured_products_section_excerpt_color'] ) ): ?>
	#featured-products .entry-content p,
	#featured-products .btn{
    color: <?php echo esc_attr( $options['style_featured_products_section_excerpt_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['style_featured_products_section_btn_color'] ) ): ?>
	#featured-products .btn{
		border-color: <?php echo esc_attr( $options['style_featured_products_section_btn_color'] ) ; ?>;
		background: transparent;
	}
	#featured-products .btn:hover{
		background: <?php echo esc_attr( $options['style_featured_products_section_btn_color'] ) ; ?>;
	}
<?php endif; ?>

/*======================Video============================*/
<?php if( !empty( $options['style_video_section_bg_color'] ) ): ?>
	#video{
    background-color: <?php echo esc_attr( $options['style_video_section_bg_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['style_video_section_title_color'] ) ): ?>
	#video .video-wrapper .section-title{
    color: <?php echo esc_attr( $options['style_video_section_title_color'] ) ; ?>;
}
	#video .video-button svg{
    fill: <?php echo esc_attr( $options['style_video_section_title_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['style_video_section_excerpt_color'] ) ): ?>
	#video .entry-content p{
    color: <?php echo esc_attr( $options['style_video_section_excerpt_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['style_video_section_icon_color'] ) ): ?>
	#video .video-button{
    background-color: <?php echo esc_attr( $options['style_video_section_icon_color'] ) ; ?>;
}
<?php endif; ?>

/*======================Release============================*/
<?php if( !empty( $options['style_release_section_bg_color'] ) ): ?>
	#release{
    background-color: <?php echo esc_attr( $options['style_release_section_bg_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['style_release_section_title_color'] ) ): ?>
	#release .section-title,
	#release .release-wrapper .entry-title a{
    color: <?php echo esc_attr( $options['style_release_section_title_color'] ) ; ?>;
}
#release .release-wrapper .entry-title a:hover{
    color: #f7a94f;
}
<?php endif; ?>

<?php if( !empty( $options['style_release_section_title_hover_color'] ) ): ?>
#release .release-wrapper .entry-title a:hover{
    color: <?php echo esc_attr( $options['style_release_section_title_hover_color'] ) ; ?>;
}
<?php endif; ?>

<?php if( !empty( $options['style_release_section_btn_border_color'] ) ): ?>
#release .btn{
    border: 2px solid <?php echo esc_attr( $options['style_release_section_btn_border_color'] ) ; ?>;
    background-color: transparent;
}
#release .btn:hover{
    background-color: #f7a94f;
    border: 2px solid #f7a94f;
}
<?php endif; ?>

<?php if( !empty( $options['style_release_section_btn_hover_color'] ) ): ?>
#release .btn:hover{
    background-color: <?php echo esc_attr( $options['style_release_section_btn_hover_color'] ) ; ?>;
    border: 2px solid <?php echo esc_attr( $options['style_release_section_btn_hover_color'] ) ; ?>;
}
<?php endif; ?>

/*======================Event============================*/

<?php if( !empty( $options['style_event_section_bg_color'] ) ): ?>
	#upcoming-events{
		background-color: <?php echo esc_attr( $options['style_event_section_bg_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_event_section_subtitle_color'] ) ): ?>
	#upcoming-events .section-subtitle{
		color: <?php echo esc_attr( $options['style_event_section_subtitle_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_event_section_title_color'] ) ): ?>
	#upcoming-events .section-title,
	#upcoming-events .event-date{
		color: <?php echo esc_attr( $options['style_event_section_title_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_event_event_title_color'] ) ): ?>
	#upcoming-events .entry-title a{
		color: <?php echo esc_attr( $options['style_event_event_title_color'] ) ; ?>;
	}
	#upcoming-events .entry-title a:hover{
		color: #1e2939;
	}
<?php endif; ?>

<?php if( !empty( $options['style_event_event_title_hover_color'] ) ): ?>
	#upcoming-events .entry-title a:hover{
		color: <?php echo esc_attr( $options['style_event_event_title_hover_color'] ) ; ?>;
	}
<?php endif; ?>

<?php if( !empty( $options['style_event_event_btn_border_color'] ) ): ?>
#upcoming-events .btn{
    border: 2px solid <?php echo esc_attr( $options['style_event_event_btn_border_color'] ) ; ?>;
    background-color: transparent;
}
#upcoming-events .btn:hover{
    background-color: #f7a94f;
    border: 2px solid #f7a94f;
}
<?php endif; ?>

<?php if( !empty( $options['style_event_event_btn_hover_color'] ) ): ?>
#upcoming-events .btn:hover{
    background-color: <?php echo esc_attr( $options['style_event_event_btn_hover_color'] ) ; ?>;
    border: 2px solid <?php echo esc_attr( $options['style_event_event_btn_hover_color'] ) ; ?>;
}
<?php endif; ?>


/*======================End Color Option Css============================*/

<?php if( $options['hide_banner'] == 'true' ) :?>

	.blog .header-wrapper,
	.archive .header-wrapper {
		background-color: #c7c6c6;
		padding: 30px;
		margin-top: 150px;
	}

<?php endif; ?>

<?php if( $options['single_post_hide_banner'] == 'true' ) :?>

	.single .header-wrapper {
		background-color: #c7c6c6;
		padding: 30px;
		margin-top: 150px;
	}

<?php endif; ?>




</style>

<?php }

add_action( 'wp_head', 'mega_charity_pro_style' );