<?php
$wp_customize->add_section( 'mega_charity_pro_subscription_section', array(
	'title'             => esc_html__( 'Subscription','mega-charity-pro' ),
	'description'       => esc_html__( 'Subscription Section options.', 'mega-charity-pro' ),
	'panel'             => 'mega_charity_pro_front_page_panel',
) );

// subscription content enable control and setting
$wp_customize->add_setting( 'mega_charity_pro_theme_options[subscription_section_enable]', array(
	'default'			=> 	$options['subscription_section_enable'],
	'sanitize_callback' => 'mega_charity_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Mega_Charity_Pro_Switch_Control( $wp_customize, 'mega_charity_pro_theme_options[subscription_section_enable]', array(
	'label'             => esc_html__( 'subscription Section Enable', 'mega-charity-pro' ),
	'section'           => 'mega_charity_pro_subscription_section',
	'on_off_label' 		=> mega_charity_pro_switch_options(),
) ) );

// subscription title setting and control
$wp_customize->add_setting( 'mega_charity_pro_theme_options[subscription_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['subscription_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'mega_charity_pro_theme_options[subscription_title]', array(
	'label'           	=> esc_html__( 'Title', 'mega-charity-pro' ),
	'section'        	=> 'mega_charity_pro_subscription_section',
	'active_callback' 	=> 'mega_charity_pro_is_subscription_section_enable',
	'type'				=> 'text',
) );
// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'mega_charity_pro_theme_options[subscription_title]', array(
		'selector'            => '#business-subscribe-us h3.widget-title',
		'settings'            => 'mega_charity_pro_theme_options[subscription_title]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'mega_charity_pro_subscription_title_partial',
    ) );
}

// subscription sub title setting and control
$wp_customize->add_setting( 'mega_charity_pro_theme_options[subscription_sub_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['subscription_sub_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'mega_charity_pro_theme_options[subscription_sub_title]', array(
	'label'           	=> esc_html__( 'Sub Title', 'mega-charity-pro' ),
	'section'        	=> 'mega_charity_pro_subscription_section',
	'active_callback' 	=> 'mega_charity_pro_is_subscription_section_enable',
	'type'				=> 'text',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'mega_charity_pro_theme_options[subscription_sub_title]', array(
		'selector'            => '#business-subscribe-us p.subtitle',
		'settings'            => 'mega_charity_pro_theme_options[subscription_sub_title]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'mega_charity_pro_subscription_sub_title_partial',
    ) );
}


// Clients image setting and control.
$wp_customize->add_setting( 'mega_charity_pro_theme_options[subscription_image]', array(
	'sanitize_callback' => 'mega_charity_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'mega_charity_pro_theme_options[subscription_image]',
		array(
		'label'       		=>  esc_html__( 'Background Image ', 'mega-charity-pro' ),
		'section'     		=> 'mega_charity_pro_subscription_section',
		'active_callback'	=> 'mega_charity_pro_is_subscription_section_enable',
) ) );

// subscription description setting and control
$wp_customize->add_setting( 'mega_charity_pro_theme_options[subscription_description]', array(
	'sanitize_callback' => 'wp_kses_post',
	'default'			=> $options['subscription_description'],
) );

$wp_customize->add_control( 'mega_charity_pro_theme_options[subscription_description]', array(
	'label'           	=> esc_html__( 'Description', 'mega-charity-pro' ),
	'section'        	=> 'mega_charity_pro_subscription_section',
	'active_callback' 	=> 'mega_charity_pro_is_subscription_section_enable',
	'type'				=> 'textarea',
) );

// subscription sub title setting and control
$wp_customize->add_setting( 'mega_charity_pro_theme_options[subscription_btn_label]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['subscription_btn_label'],
) );

$wp_customize->add_control( 'mega_charity_pro_theme_options[subscription_btn_label]', array(
	'label'           	=> esc_html__( 'Button Label', 'mega-charity-pro' ),
	'section'        	=> 'mega_charity_pro_subscription_section',
	'active_callback' 	=> 'mega_charity_pro_is_subscription_section_enable',
	'type'				=> 'text',
) );


