<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Mega Charity Pro
 * @since Mega Charity Pro 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'mega_charity_pro_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','mega-charity-pro' ),
	'description'       => esc_html__( 'Archive section options.', 'mega-charity-pro' ),
	'panel'             => 'mega_charity_pro_theme_options_panel',
) );

$wp_customize->add_setting( 'mega_charity_pro_theme_options[hide_banner]', array(
	'default'           => $options['hide_banner'],
	'sanitize_callback' => 'mega_charity_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Mega_Charity_Pro_Switch_Control( $wp_customize, 'mega_charity_pro_theme_options[hide_banner]', array(
	'label'             => esc_html__( 'Hide Banner', 'mega-charity-pro' ),
	'section'           => 'mega_charity_pro_archive_section',
	'on_off_label' 		=> mega_charity_pro_hide_options(),
) ) );


// Archive date meta setting and control.
$wp_customize->add_setting( 'mega_charity_pro_theme_options[hide_date]', array(
	'default'           => $options['hide_date'],
	'sanitize_callback' => 'mega_charity_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Mega_Charity_Pro_Switch_Control( $wp_customize, 'mega_charity_pro_theme_options[hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'mega-charity-pro' ),
	'section'           => 'mega_charity_pro_archive_section',
	'on_off_label' 		=> mega_charity_pro_hide_options(),
) ) );

// Archive category setting and control.
$wp_customize->add_setting( 'mega_charity_pro_theme_options[hide_author]', array(
	'default'           => $options['hide_author'],
	'sanitize_callback' => 'mega_charity_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Mega_Charity_Pro_Switch_Control( $wp_customize, 'mega_charity_pro_theme_options[hide_author]', array(
	'label'             => esc_html__( 'Hide Author', 'mega-charity-pro' ),
	'section'           => 'mega_charity_pro_archive_section',
	'on_off_label' 		=> mega_charity_pro_hide_options(),
) ) );

// features content type control and setting
$wp_customize->add_setting( 'mega_charity_pro_theme_options[blog_column]', array(
	'default'          	=> $options['blog_column'],
	'sanitize_callback' => 'mega_charity_pro_sanitize_select',
) );

$wp_customize->add_control( 'mega_charity_pro_theme_options[blog_column]', array(
	'label'             => esc_html__( 'Column Layout', 'mega-charity-pro' ),
	'section'           => 'mega_charity_pro_archive_section',
	'type'				=> 'select',
	'choices'			=> array( 
		'col-1'		=> esc_html__( 'One Column', 'mega-charity-pro' ),
		'col-2'		=> esc_html__( 'Two Column', 'mega-charity-pro' ),
		'col-3'		=> esc_html__( 'Three Column', 'mega-charity-pro' ),
	),
) );

