<?php
/**
 * Footer options
 *
 * @package Theme Palace
 * @subpackage Mega Charity Pro
 * @since Mega Charity Pro 1.0.0
 */

// Footer Section
$wp_customize->add_section( 'mega_charity_pro_section_footer',
	array(
		'title'      			=> esc_html__( 'Footer Options', 'mega-charity-pro' ),
		'priority'   			=> 900,
		'panel'      			=> 'mega_charity_pro_theme_options_panel',
	)
);

// footer_section
$wp_customize->add_setting( 'mega_charity_pro_theme_options[footer_section]',
	array(
		'default'       		=> $options['footer_section'],
		'sanitize_callback' => 'mega_charity_pro_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Mega_Charity_Pro_Switch_Control( $wp_customize, 'mega_charity_pro_theme_options[footer_section]',
    array(
		'label'      			=> esc_html__( 'Footer Section', 'mega-charity-pro' ),
		'section'    			=> 'mega_charity_pro_section_footer',
		'on_off_label' 		=> mega_charity_pro_switch_options(),
    )
) );

// footer image setting and control.
$wp_customize->add_setting( 'mega_charity_pro_theme_options[footer_logo]', array(
	'sanitize_callback' => 'mega_charity_pro_sanitize_image'
	) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'mega_charity_pro_theme_options[footer_logo]',
	array(
		'label'       		=> esc_html__( 'Footer Site Logo', 'mega-charity-pro' ),
		'section'     		=> 'mega_charity_pro_section_footer',
		'active_callback'	=> 'mega_charity_pro_is_footer_Section_enable',
		) ) );

// footer_menu
$wp_customize->add_setting( 'mega_charity_pro_theme_options[footer_menu]',
	array(
		'default'       		=> $options['footer_menu'],
		'sanitize_callback' => 'mega_charity_pro_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Mega_Charity_Pro_Switch_Control( $wp_customize, 'mega_charity_pro_theme_options[footer_menu]',
    array(
		'label'      			=> esc_html__( 'Footer Menu', 'mega-charity-pro' ),
		'section'    			=> 'mega_charity_pro_section_footer',
		'on_off_label' 		=> mega_charity_pro_switch_options(),
		'active_callback'	=> 'mega_charity_pro_is_footer_Section_enable',
    )
) );

// footer btn text
$wp_customize->add_setting( 'mega_charity_pro_theme_options[footer_btn_text]',
	array(
		'sanitize_callback'		=> 'sanitize_text_field',
		'default'			=> 	$options['footer_btn_text'],

	)
);
$wp_customize->add_control( 'mega_charity_pro_theme_options[footer_btn_text]',
    array(
		'label'      			=> esc_html__( 'Footer Button Text', 'mega-charity-pro' ),
		'section'    			=> 'mega_charity_pro_section_footer',
		'type'		 			=> 'text',
		'active_callback'	=> 'mega_charity_pro_is_footer_menu_enable',
		'transport'			=> 'postMessage'
    )
);
// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'mega_charity_pro_theme_options[footer_btn_text]', array(
		'selector'            => '.footer-menu li.custom-menu-item',
		'settings'            => 'mega_charity_pro_theme_options[footer_btn_text]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'mega_charity_pro_footer_btn_text_partial',
    ) );
}

// footer Btn url
$wp_customize->add_setting( 'mega_charity_pro_theme_options[footer_btn_url]',
	array(
		'sanitize_callback'		=> 'esc_url_raw',

	)
);
$wp_customize->add_control( 'mega_charity_pro_theme_options[footer_btn_url]',
    array(
		'label'      			=> esc_html__( 'Footer Button Url', 'mega-charity-pro' ),
		'section'    			=> 'mega_charity_pro_section_footer',
		'type'		 			=> 'url',
		'active_callback'	=> 'mega_charity_pro_is_footer_menu_enable',
    )
);

// footer text
$wp_customize->add_setting( 'mega_charity_pro_theme_options[footer_description]',
	array(
		'default'       		=> $options['footer_description'],
		'sanitize_callback'		=> 'mega_charity_pro_santize_allow_tag',
		'transport'				=> 'postMessage',
	)
);
$wp_customize->add_control( 'mega_charity_pro_theme_options[footer_description]',
    array(
		'label'      			=> esc_html__( 'Footer Description', 'mega-charity-pro' ),
		'section'    			=> 'mega_charity_pro_section_footer',
		'type'		 			=> 'textarea',
		'active_callback'	=> 'mega_charity_pro_is_footer_Section_enable',
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'mega_charity_pro_theme_options[footer_description]', array(
		'selector'            => '#colophon div.wrapper p',
		'settings'            => 'mega_charity_pro_theme_options[footer_description]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'mega_charity_pro_copyright_text_partial',
    ) );
}

$wp_customize->add_setting( 'mega_charity_pro_theme_options[footer_hr]', array(
		'sanitize_callback' => 'sanitize_text_field'
	) );

	$wp_customize->add_control( new Mega_Charity_Pro_Customize_Horizontal_Line( $wp_customize, 'mega_charity_pro_theme_options[footer_hr]',
		array(
			'section'         => 'mega_charity_pro_section_footer',
			'active_callback' => 'mega_charity_pro_is_footer_Section_enable',
			'type'			  => 'hr'
	) ) );

// footer text
$wp_customize->add_setting( 'mega_charity_pro_theme_options[copyright_text]',
	array(
		'default'       		=> $options['copyright_text'],
		'sanitize_callback'		=> 'mega_charity_pro_santize_allow_tag',
		'transport'				=> 'postMessage',
	)
);
$wp_customize->add_control( 'mega_charity_pro_theme_options[copyright_text]',
    array(
		'label'      			=> esc_html__( 'Copyright Text', 'mega-charity-pro' ),
		'section'    			=> 'mega_charity_pro_section_footer',
		'type'		 			=> 'textarea',
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'mega_charity_pro_theme_options[copyright_text]', array(
		'selector'            => '.site-info .copyright p',
		'settings'            => 'mega_charity_pro_theme_options[copyright_text]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'mega_charity_pro_copyright_text_partial',
    ) );
}

// scroll top visible
$wp_customize->add_setting( 'mega_charity_pro_theme_options[scroll_top_visible]',
	array(
		'default'       		=> $options['scroll_top_visible'],
		'sanitize_callback' => 'mega_charity_pro_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Mega_Charity_Pro_Switch_Control( $wp_customize, 'mega_charity_pro_theme_options[scroll_top_visible]',
    array(
		'label'      			=> esc_html__( 'Display Scroll Top Button', 'mega-charity-pro' ),
		'section'    			=> 'mega_charity_pro_section_footer',
		'on_off_label' 		=> mega_charity_pro_switch_options(),
    )
) );

// footer_info_menu
$wp_customize->add_setting( 'mega_charity_pro_theme_options[footer_info_menu]',
	array(
		'default'       		=> $options['footer_info_menu'],
		'sanitize_callback' => 'mega_charity_pro_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Mega_Charity_Pro_Switch_Control( $wp_customize, 'mega_charity_pro_theme_options[footer_info_menu]',
    array(
		'label'      			=> esc_html__( 'Footer Info Menu Enable/Disable', 'mega-charity-pro' ),
		'section'    			=> 'mega_charity_pro_section_footer',
		'on_off_label' 		=> mega_charity_pro_switch_options(),
    )
) );