<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Mega Charity Pro
* @since Mega Charity Pro 1.0.0
*/

if ( ! function_exists( 'mega_charity_pro_validate_long_excerpt' ) ) :
  function mega_charity_pro_validate_long_excerpt( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 5 ) {
		 $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'mega-charity-pro' ) );
	 } elseif ( $value > 100 ) {
		 $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_counter_count' ) ) :
  function mega_charity_pro_validate_counter_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-charity-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_help_us_count' ) ) :
  function mega_charity_pro_validate_help_us_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'mega-charity-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_stories_count' ) ) :
  function mega_charity_pro_validate_stories_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-charity-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_slider_count' ) ) :
  function mega_charity_pro_validate_slider_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-charity-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_medical_features_count' ) ) :
  function mega_charity_pro_validate_medical_features_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-charity-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_featured_count' ) ) :
  function mega_charity_pro_validate_featured_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-charity-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_traveler_choice_count' ) ) :
  function mega_charity_pro_validate_traveler_choice_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-charity-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_service_count' ) ) :
  function mega_charity_pro_validate_service_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-charity-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_medical_services_count' ) ) :
  function mega_charity_pro_validate_medical_services_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-charity-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_blog_count' ) ) :
  function mega_charity_pro_validate_blog_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'mega-charity-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_discover_places_count' ) ) :
  function mega_charity_pro_validate_discover_places_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-charity-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_testimonial_count' ) ) :
  function mega_charity_pro_validate_testimonial_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-charity-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_popular_count' ) ) :
  function mega_charity_pro_validate_popular_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'mega-charity-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_popular_product_count' ) ) :
  function mega_charity_pro_validate_popular_product_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 4 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'mega-charity-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;


if ( ! function_exists( 'mega_charity_pro_validate_latest_posts_count' ) ) :
  function mega_charity_pro_validate_latest_posts_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 2 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'mega-charity-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_recent_products_count' ) ) :
  function mega_charity_pro_validate_recent_products_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-charity-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_featured_products_count' ) ) :
  function mega_charity_pro_validate_featured_products_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 2 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'mega-charity-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_medical_news_count' ) ) :
  function mega_charity_pro_validate_medical_news_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'mega-charity-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_gallery_count' ) ) :
  function mega_charity_pro_validate_gallery_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-charity-pro' ) );
	 } elseif ( $value > 20 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 20', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_release_count' ) ) :
  function mega_charity_pro_validate_release_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'mega-charity-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'mega_charity_pro_validate_team_count' ) ) :
  function mega_charity_pro_validate_team_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-charity-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-charity-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-charity-pro' ) );
	 }
	 return $validity;
  }
endif;
