<?php
/**
 *
 * This is the template for the content of subscription section
 *
 * @package Theme Palace
 * @subpackage Mega Charity
 * @since Mega Charity 1.0.0
 */
if ( ! function_exists( 'mega_charity_pro_add_subscription_section' ) ) :
    /**
    * Add about section
    *
    *@since Mega Charity 1.0.0
    */
    function mega_charity_pro_add_subscription_section() {
        $options = mega_charity_pro_get_theme_options();
        // Check if about is enabled on frontpage
        $subscription_enable = apply_filters( 'mega_charity_pro_section_status', true, 'subscription_section_enable' );

        if ( true !== $subscription_enable ) {
            return false;
        }       

        // Render about section now.
        mega_charity_pro_render_subscription_section( );
    }
endif;


if ( ! function_exists( 'mega_charity_pro_render_subscription_section' ) ) :
  /**
   * Start about section
   *
   * @return string about content
   * @since Mega Charity 1.0.0
   *
   */
   function mega_charity_pro_render_subscription_section( ) {
   
        if ( ! class_exists( 'Jetpack' ) ) {
            return;
        }
        $options = mega_charity_pro_get_theme_options();
         $image   = empty( $options['subscription_image'] ) ? '' : $options['subscription_image'] ;
         $subscription_title   = empty( $options['subscription_title'] ) ? '' : $options['subscription_title'] ;
         $subscription_sub_title   = empty( $options['subscription_sub_title'] ) ? '' : $options['subscription_sub_title'] ;
        $subscription_description   = empty( $options['subscription_description'] ) ? '' : $options['subscription_description'] ;
        ?>
        <div id="business-subscribe-us" class="relative page-section" style="background-image: url('<?php echo esc_url( $image ) ; ?>');">
                <div class="overlay"></div>
                <div class="wrapper">
                    <div class="subscribe-form-wrapper">
                        <p class="subtitle"><?php echo esc_html( $subscription_sub_title ); ?>r</p>
                        <div class="jetpack_subscription_widget">
                            <h3 class="widget-title"><?php echo esc_html( $subscription_title ); ?></h3>

                            <?php 
                                $subscribe_shortcode = '[jetpack_subscription_form title="" subscribe_text="' . esc_html( $options['subscription_description'] ) . '" subscribe_button="' . esc_html( $options['subscription_btn_label'] ) . '" show_subscribers_total="0"]';
                                echo do_shortcode( wp_kses_post( $subscribe_shortcode ) ); 
                            ?>

                        </div>
                    </div><!-- .subscription-form-wrapper -->
                </div><!-- .wrapper -->
            </div><!-- #sbusiness-ubscribe-us -->

        <?php 
    }
endif;