<?php
/**
 * Theme updater 
 *
 * @package Theme Palace
 * @subpackage Mega Charity Pro
 * @since Mega Charity Pro 1.0.0
 */

// Includes the files needed for the theme updater
if ( !class_exists( 'EDD_Theme_Updater_Admin' ) ) {
	require get_template_directory() . '/inc/updater/theme-updater-admin.php';
}

// Loads the updater classes
$updater = new EDD_Theme_Updater_Admin(

	// Config settings
	$config = array(
		'remote_api_url' => 'https://themepalace.com', // Site where EDD is hosted
		'item_name'      => 'Mega Charity Pro', // Name of theme
		'theme_slug'     => 'mega-charity-pro', // Theme slug
		'version'        => '1.0.0', // The current version of this theme
		'author'         => 'Theme Palace', // The author of this theme
		'download_id'    => '', // Optional, used for generating a license renewal link
		'renew_url'      => 'https://themepalace.com/my-account' // Optional, allows for a custom license renewal link
	),

	// Strings
	$strings = array(
		'theme-license'             => __( 'Theme License', 'mega-charity-pro' ),
		'enter-key'                 => __( 'Enter your theme license key.', 'mega-charity-pro' ),
		'license-key'               => __( 'License Key', 'mega-charity-pro' ),
		'license-action'            => __( 'License Action', 'mega-charity-pro' ),
		'deactivate-license'        => __( 'Deactivate License', 'mega-charity-pro' ),
		'activate-license'          => __( 'Activate License', 'mega-charity-pro' ),
		'status-unknown'            => __( 'License status is unknown.', 'mega-charity-pro' ),
		'renew'                     => __( 'Renew?', 'mega-charity-pro' ),
		'unlimited'                 => __( 'unlimited', 'mega-charity-pro' ),
		'license-key-is-active'     => __( 'License key is active.', 'mega-charity-pro' ),
		'expires%s'                 => __( 'Expires %s.', 'mega-charity-pro' ),
		'%1$s/%2$-sites'            => __( 'You have %1$s / %2$s sites activated.', 'mega-charity-pro' ),
		'license-key-expired-%s'    => __( 'License key expired %s.', 'mega-charity-pro' ),
		'license-key-expired'       => __( 'License key has expired.', 'mega-charity-pro' ),
		'license-keys-do-not-match' => __( 'License keys do not match.', 'mega-charity-pro' ),
		'license-is-inactive'       => __( 'License is inactive.', 'mega-charity-pro' ),
		'license-key-is-disabled'   => __( 'License key is disabled.', 'mega-charity-pro' ),
		'site-is-inactive'          => __( 'Site is inactive.', 'mega-charity-pro' ),
		'license-status-unknown'    => __( 'License status is unknown.', 'mega-charity-pro' ),
		'update-notice'             => __( "Updating this theme will lose any customizations you have made. 'Cancel' to stop, 'OK' to update.", 'mega-charity-pro' ),
		'update-available'          => __('<strong>%1$s %2$s</strong> is available. <a href="%3$s" class="thickbox" title="%4$s">Check out what\'s new</a> or <a href="%5$s"%6$s>update now</a>.', 'mega-charity-pro' )
	)

);
